import { a$ as InjectVegaSlimmer, b0 as registerInstance, b1 as h, b2 as Host, b3 as getElement } from './index-BFV_-jmr.js';
import { I as InjectVegaGlobalSlimmer, V as VegaComponentUsageRuntimeMetricsSlimmer } from './component-usage-runtime-metrics-CR3WLFrY.js';
import { s as sanitizeVegaComponent } from './component-Wf7aOiyT.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const VegaHint = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.globalSlimmers = {};
        this.vegaComponentUsageRuntimeMetricsSlimmer = new VegaComponentUsageRuntimeMetricsSlimmer();
    }
    render() {
        return sanitizeVegaComponent(h(Host, null, h("vega-box", { padding: { x: 'size-8', top: 'size-4' } }, h("vega-font", { variant: "font-footnote1-short", color: "text-secondary" }, h("slot", null)))), this.host);
    }
    get host() { return getElement(this); }
};
__decorate([
    InjectVegaGlobalSlimmer()
], VegaHint.prototype, "globalSlimmers", void 0);
__decorate([
    InjectVegaSlimmer()
], VegaHint.prototype, "vegaComponentUsageRuntimeMetricsSlimmer", void 0);

export { VegaHint as vega_hint };
